<template>
  <div class="home col-5 mx-auto">
    <h1 class="text-center">Login</h1>
    <div class="card">
      <div class="card-body">
        <div class="form-group">
          <label for="email">Email address:</label>
          <input
            type="email"
            v-model="form.email"
            class="form-control"
            id="email"
          />
          <span class="text-danger" v-if="errors.email">
            {{ errors.email[0] }}
          </span>
        </div>
        <div class="form-group">
          <label for="password">Password:</label>
          <input
            type="password"
            v-model="form.password"
            class="form-control"
            id="password"
          />
          <span class="text-danger" v-if="errors.password">
            {{ errors.password[0] }}
          </span>
        </div>
        <button @click.prevent="login" class="btn btn-primary btn-block">
          Login
        </button>
      </div>
    </div>
  </div>
</template>

<script>
import User from "../src/apis/User";
import eventHub from '../eventHub';

export default {
  props: {
      seeGreeting: Boolean
  },
  data() {
    return {
      form: {
        email: "",
        password: ""
      },
      errors: [],
      //seen: this.seeGreeting
      seen: false,
      user: null
    };
  },
  methods: {

    login() {
      User.login(this.form)
        .then((response) => {
          //this.$root.$emit("login", true);
          localStorage.setItem("token", response.data.data.token);
          eventHub.$emit('auth-navbar');
          this.$router.push({ name: "home" });
        })
        .catch(error => {
          if (
              error.response.status == 401
          ) {
            this.errors = error.response.data.errors;
          }
        })

    }
  }
};
</script>

<style>
h1 {
    color: orange;
}
</style>
